TTF_CreateSurfaceTextEngine(3)

NAME
TTF_CreateSurfaceTextEngine - Create a text engine for drawing text on SDL surfaces.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_TextEngine * TTF_CreateSurfaceTextEngine(void);

RETURN VALUE
( TTF_TextEngine
 *) Returns a

TTF_TextEngine
 object or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_DestroySurfaceTextEngine(3), •(3), TTF_DrawSurfaceText(3)